> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/io/filemanager/userapplicationdataforthisapplication.md).

# UserApplicationDataForThisApplication

### Introduction

The UserApplicationDataForThisApplication property gives you an absolute path that you can use in your application to save information for the given application. Examples of information you may want to save are:

* Settings for a tool (such as window size)
* Debug information
* Save data (such as the user's profile)

### Why is UserApplicationDataForThisApplication needed?

If your game/application uses an installer to install itself to Program Files or "Program Files (x86)" (on Windows 7) then you will not be able to save files in the same location as the .exe. This is a security feature of later versions of Windows.

The UserApplicationDataForThisApplication gives you a folder which can be saved to without security issues.

### Code Example

The following saves a file called "myFile.txt" which contains the text "Hello World" to the application data folder.

```
string stringToSave = "Hello World";
string locationToSave = FileManager.UserApplicationDataForThisApplication + "myFile.txt";
FileManager.SaveText(stringToSave, locationToSave);
```

![AppData.png](/files/lS3lsXeJm1UBvMCMKq4e)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/io/filemanager/userapplicationdataforthisapplication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
